Package org.codehaus.groovy.reflection

# Class CachedClass.CachedMethodComparatorByName

java.lang.Object
org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorByName

All Implemented Interfaces:
  `Comparator<CachedMethod>`

Enclosing class:
  CachedClass

public static class CachedClass.CachedMethodComparatorByName extends Object implements Comparator<CachedMethod>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Comparator`
  `INSTANCE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CachedMethodComparatorByName()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(CachedMethod o1, CachedMethod o2)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Comparator

  `equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

- ## Field Details

  - ### INSTANCE

    public static final Comparator INSTANCE

- ## Constructor Details

  - ### CachedMethodComparatorByName

    public CachedMethodComparatorByName()

- ## Method Details

  - ### compare

    public int compare(CachedMethod o1, CachedMethod o2)
    Specified by:
      `compare` in interface `Comparator<CachedMethod>`